Subject: Re: [PATCH] NET: fix wrong English expression in comments

From: David Newall <[email-masked]>
Date: Tue, 13 Jan 2009 22:39:38 +1030

Alan Cox wrote:
>> "Don't add nothing," is not a colloquialism; it's just bad grammar.  The
>>     
>
> It's a matter of dialect. For historical reasons English emerged from a
> mix of languages and cultures (even within the UK). In some of the
> originating languages and areas a double negative is emphatic in others
> it negates the negation. Thus it is a bad idea when using globally - as
> nobody is quite sure what you mean.

There's an amusing story about a lecture, in which the professor was
saying that in many cultures, in many languages, a double negative
becomes a positive, but that nowhere did a double positive become a
negative. From the back of the class drifted a bored, "yeah, yeah!"